# 獲取股價提醒列表

`GET` `/v1/notify/reminders`

獲取當前用戶的所有股價提醒，支持按標的篩選。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | No | 按證券代碼篩選，例如 `TSLA.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/notify/reminders' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `lists` | object[] | No | 按標的分組的提醒列表，見 AlertSymbolGroup |
| `└ symbol` | string | No | 證券代碼 |
| `└ chg` | string | No | 當日漲跌額 |
| `└ price` | string | No | 最新價 |
| `└ p_chg` | string | No | 當日漲跌幅 |
| `└ name` | string | No | 標的名稱。 |
| `└ market` | string | No | 市場 |
| `└ code` | string | No | 股票代碼 |
| `└ indicators` | object[] | No | 股價提醒列表，見 AlertItem |
| `└ ∟ id` | string | No | 提醒 ID |
| `└ ∟ indicator_id` | string | No | 條件：`1`=價格上漲，`2`=價格下跌，`3`=漲幅，`4`=跌幅 |
| `└ ∟ frequency` | integer | No | 觸發頻率：`1`=每日，`2`=每次，`3`=一次 |
| `└ ∟ enabled` | boolean | No | 是否啟用 |
| `└ ∟ text` | string | No | 顯示文本 |
| `└ ∟ scope` | integer | No | 範圍 |
| `└ ∟ value_map` | object | No | 觸發值（如 `{"price":"400"}` 或 `{"chg":"5"}`） |
| `└ ∟ ∟ price` | string | No | 最新價 |
| `└ ∟ state` | array | No | 觸發狀態標誌 |
| `└ product` | string | No | 產品類型 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "lists": [
      {
        "symbol": "AAPL.US",
        "code": "AAPL",
        "market": "US",
        "name": "Apple",
        "price": "298.87",
        "chg": "4.07",
        "p_chg": "1.38",
        "product": "stock",
        "indicators": [
          {
            "id": "514050",
            "indicator_id": "1",
            "enabled": true,
            "frequency": 2,
            "scope": 0,
            "text": "Price rises to 400",
            "state": [
              1
            ],
            "value_map": {
              "price": "400"
            }
          }
        ]
      }
    ]
  }
}
```
